Subject: Pine/Pico screen problem

From: [email-masked] (David Andrew Peoples)
Date: 21 Feb 1995 17:41:35 GMT

I am testing a copy of Pine 3.91 compiled for SCO Unix.  I'm having a small 
problem with the menu at the bottom of the screen.  When moving to 
the edit mode (such as picking 'C' from the main menu) the screen seems 
to switch to 24-line mode.  Whatever text had been drawn on the bottom 
(25th) line remains visible, and the current menu is drawn on the 23rd 
and 24th lines.  Doing a screen refresh (^L) doesn't fix the problem.  
Leaving edit mode does fix it.

Running Pico from the command line shows the same thing -- it uses only 24 
lines of the available 25.  This isn't a problem from the command line, of
course.

I've tested this on the console and on a terminal emulator (TinyTerm 
Plus) in SCO-ANSI and VT-100 modes.  The problem exists on the console 
and the emulated ANSI, but NOT the VT-100 mode.  I'm running SCO Open 
Server 3.0.0.  I'm using the stock termcap and terminfo descriptions for 
ansi and vt100 as delivered by SCO.

Is there a configuration switch for Pico I've missed?

David Peoples